%global momorel 3
%global qtver 4.4.0
%global kdever 4.1.0
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt4
%global kdedir /usr
%global ftpdirver 4.1.0
%global sourcedir stable/%{ftpdirver}/src/extragear

Summary: A GraphViz dot graph viewer for KDE
Name: kgraphviewer
Version: 2.0.2
Release: %{momorel}m%{?dist}
License: GPLv2
URL: https://gna.org/projects/kgraphviewer/
Group: Applications/Engineering
Source0: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}-kde%{kdever}.tar.bz2
NoSource: 0
Patch0: %{name}-2.0-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
Requires: graphviz
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: desktop-file-utils
BuildPreReq: gettext

%description
KGraphViewer is user-friendly KDE application for viewing dot graphs 
created for processing with GraphViz. Notable features provided include:

- loading of several graphs in tabs
- bird's-eye graph view
- zooming view
- simple printing
- context menu and toolbar for selecting layout algorithms
- session management

%prep
%setup -q -n %{name}-%{version}-kde%{kdever}

%patch0 -p1 -b .desktop~

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

# revise kgrapheditor.desktop
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_kde4_datadir}/applications/kde4 \
  --add-category Graphics \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_kde4_datadir}/applications/kde4/kgrapheditor.desktop

# remove bad location desktop files
rm -f %{buildroot}%{_kde4_datadir}/applications/kde4/kgraphviewer_part.desktop
rm -f %{buildroot}%{_kde4_datadir}/kde4/services/kgrapheditor.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING* ChangeLog INSTALL README TODO
%{_kde4_bindir}/kgrapheditor
%{_kde4_bindir}/kgraphviewer
%{_kde4_libdir}/kde4/kgraphviewerpart.so
%{_kde4_datadir}/applications/kde4/*.desktop
%{_kde4_appsdir}/kgrapheditor
%{_kde4_appsdir}/kgraphviewer
%{_kde4_appsdir}/kgraphviewerpart
%{_kde4_datadir}/config.kcfg/*.kcfg
%{_kde4_docdir}/HTML/en/kgraphviewer
%{_kde4_iconsdir}/*/*/*/kgraphviewer.png
%{_kde4_datadir}/kde4/services/*.desktop
%{_kde4_datadir}/locale/*/LC_MESSAGES/kgraphviewer.mo

%changelog
* Sat Aug  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.2-3m)
- new source for KDE 4.1

* Fri Jul 18 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.2-2m)
- new source for KDE 4.1 RC 1

* Sun Jun  1 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.2-1m)
- update to 2.0.2 (KDE 4.1 beta 1)

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.1-1m)
- update to 2.0.1
- rebuild against qt-4.4.0-1m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0-7m)
- rebuild against gcc43

* Sat Mar  8 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-6m)
- update Source0 (use stable/4.0.2/src/extragear)
- set ftpdirver 4.0.2

* Tue Feb 19 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-5m)
- update Source0 (use stable/4.0.1/src/extragear)

* Wed Feb 13 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-4m)
- revise kgrapheditor.desktop again

* Wed Feb 13 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-3m)
- revise and clean up desktop files

* Mon Jan 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-2m)
- re-add desktop.patch

* Mon Jan 21 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0-1m)
- update to 2.0 for KDE4

* Mon Jul 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.4-2m)
- change "Categories" of kgraphviewer.desktop from Math to Graphics

* Mon Jul 16 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.4-1m)
- version 1.0.4
- update desktop.patch

* Thu Apr 26 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.3-2m)
- apply some fixes from svn.kde.org

* Wed Apr 25 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0.3-1m)
- initial package for Momonga Linux
